/////////////////////////////////////////////////////////////////////////
///@system QuantDo Platform
///@company ϺͶƼ޹˾
///@file QdpFtdcUserApiStruct.h
///@brief ˿ͻ˽ӿʹõҵݽṹ
///@history 
/////////////////////////////////////////////////////////////////////////

#if !defined(Qdp_FTDCSTRUCT_H)
#define Qdp_FTDCSTRUCT_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "QdpFtdcUserApiDataType.h"

///ϵͳû¼
struct CQdpFtdcReqUserLoginField
{
	///
	TQdpFtdcDateType	TradingDay;
	///û
	TQdpFtdcUserIDType	UserID;
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcPasswordType	Password;
	///û˲ƷϢ
	TQdpFtdcProductInfoType	UserProductInfo;
	///ӿڶ˲ƷϢ
	TQdpFtdcProductInfoType	InterfaceProductInfo;
	///ЭϢ
	TQdpFtdcProtocolInfoType	ProtocolInfo;
	///IPַ
	TQdpFtdcIPAddressType	IPAddress;
	///Macַ
	TQdpFtdcMacAddressType	MacAddress;
	///Ĵ
	TQdpFtdcDataCenterIDType	DataCenterID;
	///̬
	TQdpFtdcPasswordType	OneTimePassword;
	///նIPַ
	TQdpFtdcIPAddressType	ClientIPAddress;
};

///ϵͳû¼Ӧ
struct CQdpFtdcRspUserLoginField
{
	///
	TQdpFtdcDateType	TradingDay;
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///¼ɹʱ
	TQdpFtdcTimeType	LoginTime;
	///û󱾵ر
	TQdpFtdcUserOrderLocalIDType	MaxOrderLocalID;
	///ϵͳ
	TQdpFtdcTradingSystemNameType	TradingSystemName;
	///Ĵ
	TQdpFtdcDataCenterIDType	DataCenterID;
	///Ա˽ǰ
	TQdpFtdcSequenceNoType	PrivateFlowSize;
	///Ա˽ǰ
	TQdpFtdcSequenceNoType	UserFlowSize;
	///Ự
	TQdpFtdcSessionIDType	SessionID;
	///ǰñ
	TQdpFtdcFrontIDType	FrontID;
};

///ûǳ
struct CQdpFtdcReqUserLogoutField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Session˳ԭ
	TQdpFtdcNumberType	LogoutReason;
};

///ûǳ
struct CQdpFtdcRspUserLogoutField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Session˳ԭ
	TQdpFtdcNumberType	LogoutReason;
};

///ǿû˳
struct CQdpFtdcForceUserExitField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
};

///û޸
struct CQdpFtdcUserPasswordUpdateField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///
	TQdpFtdcPasswordType	OldPassword;
	///
	TQdpFtdcPasswordType	NewPassword;
};

///뱨
struct CQdpFtdcInputOrderField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ϵͳ
	TQdpFtdcOrderSysIDType	OrderSysID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ûر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///۸
	TQdpFtdcOrderPriceTypeType	OrderPriceType;
	///
	TQdpFtdcDirectionType	Direction;
	///ƽ־
	TQdpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///۸
	TQdpFtdcPriceType	LimitPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///Ч
	TQdpFtdcTimeConditionType	TimeCondition;
	///GTD
	TQdpFtdcDateType	GTDDate;
	///ɽ
	TQdpFtdcVolumeConditionType	VolumeCondition;
	///Сɽ
	TQdpFtdcVolumeType	MinVolume;
	///ֹ
	TQdpFtdcPriceType	StopPrice;
	///ǿƽԭ
	TQdpFtdcForceCloseReasonType	ForceCloseReason;
	///Զ־
	TQdpFtdcBoolType	IsAutoSuspend;
	///ҵԪ
	TQdpFtdcBusinessUnitType	BusinessUnit;
	///ûԶ
	TQdpFtdcCustomType	UserCustom;
	///Ӫҵ
	TQdpFtdcBranchIDType	BranchID;
	///¼
	TQdpFtdcSequenceNoType	RecNum;
	///ҵ
	TQdpFtdcBusinessTypeType	BusinessType;
};

///
struct CQdpFtdcOrderActionField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcOrderSysIDType	OrderSysID;
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///γıر
	TQdpFtdcUserOrderLocalIDType	UserOrderActionLocalID;
	///ıر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///־
	TQdpFtdcActionFlagType	ActionFlag;
	///۸
	TQdpFtdcPriceType	LimitPrice;
	///仯
	TQdpFtdcVolumeType	VolumeChange;
	///¼
	TQdpFtdcSequenceNoType	RecNum;
	///ǰñ
	TQdpFtdcFrontIDType	FrontID;
	///Ự
	TQdpFtdcSessionIDType	SessionID;
};

///ڴ
struct CQdpFtdcMemDbField
{
	///ڴ
	TQdpFtdcMemTableNameType	MemTableName;
};

///Ͷʽʻ
struct CQdpFtdcReqAccountDepositField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///ʽˮ
	TQdpFtdcAccountSeqNoType	AccountSeqNo;
	///ʽʺ
	TQdpFtdcAccountIDType	AccountID;
	///ʽˮ
	TQdpFtdcAccountSeqNoType	AccountInsideSeqNo;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcMoneyType	Amount;
	///
	TQdpFtdcAccountDirectionType	AmountDirection;
	///û
	TQdpFtdcUserIDType	UserID;
};

///ͶʽʻӦ
struct CQdpFtdcRspAccountDepositField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ʽʺ
	TQdpFtdcAccountIDType	AccountID;
	///ʽˮ
	TQdpFtdcAccountSeqNoType	AccountSeqNo;
	///ʽˮ
	TQdpFtdcAccountSeqNoType	AccountInsideSeqNo;
	///
	TQdpFtdcMoneyType	Amount;
	///
	TQdpFtdcAccountDirectionType	AmountDirection;
	///ʽ
	TQdpFtdcMoneyType	Available;
	///׼
	TQdpFtdcMoneyType	Balance;
	///û
	TQdpFtdcUserIDType	UserID;
};

///뱨
struct CQdpFtdcUdpInputOrderField
{
	///͹˾
	TQdpFtdcBrokerIDUdpType	BrokerID;
	///
	TQdpFtdcExchangeIDUdpType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDUdpType	InvestorID;
	///û
	TQdpFtdcUserIDUdpType	UserID;
	///Լ
	TQdpFtdcInstrumentIDUdpType	InstrumentID;
	///ûر
	TQdpFtdcUserOrderLocalIDUdpType	UserOrderLocalID;
	///۸
	TQdpFtdcOrderPriceTypeType	OrderPriceType;
	///
	TQdpFtdcDirectionType	Direction;
	///ƽ־
	TQdpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///۸
	TQdpFtdcPriceType	LimitPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///Ч
	TQdpFtdcTimeConditionType	TimeCondition;
	///ɽ
	TQdpFtdcVolumeConditionType	VolumeCondition;
	///Ӫҵ
	TQdpFtdcBranchIDType	BranchID;
	///ֹ
	TQdpFtdcPriceType	StopPrice;
	///ûԶ
	TQdpFtdcUdpCustomType	UserCustom;
};

///ӦϢ
struct CQdpFtdcRspInfoField
{
	///
	TQdpFtdcErrorIDType	ErrorID;
	///Ϣ
	TQdpFtdcErrorMsgType	ErrorMsg;
};

///ѯ
struct CQdpFtdcQryOrderField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcOrderSysIDType	OrderSysID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ɽѯ
struct CQdpFtdcQryTradeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ɽ
	TQdpFtdcTradeIDType	TradeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///Լѯ
struct CQdpFtdcQryInstrumentField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ʒִ
	TQdpFtdcProductIDType	ProductID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ԼѯӦ
struct CQdpFtdcRspInstrumentField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ʒִ
	TQdpFtdcProductIDType	ProductID;
	///Ʒ
	TQdpFtdcProductNameType	ProductName;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Լ
	TQdpFtdcInstrumentNameType	InstrumentName;
	///
	TQdpFtdcYearType	DeliveryYear;
	///
	TQdpFtdcMonthType	DeliveryMonth;
	///޼۵µ
	TQdpFtdcVolumeType	MaxLimitOrderVolume;
	///޼۵Сµ
	TQdpFtdcVolumeType	MinLimitOrderVolume;
	///м۵µ
	TQdpFtdcVolumeType	MaxMarketOrderVolume;
	///м۵Сµ
	TQdpFtdcVolumeType	MinMarketOrderVolume;
	///
	TQdpFtdcVolumeMultipleType	VolumeMultiple;
	///۵λ
	TQdpFtdcPriceTickType	PriceTick;
	///
	TQdpFtdcCurrencyType	Currency;
	///ͷ޲
	TQdpFtdcVolumeType	LongPosLimit;
	///ͷ޲
	TQdpFtdcVolumeType	ShortPosLimit;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///Լ״̬
	TQdpFtdcInstrumentStatusType	InstrumentStatus;
	///
	TQdpFtdcDateType	CreateDate;
	///
	TQdpFtdcDateType	OpenDate;
	///
	TQdpFtdcDateType	ExpireDate;
	///ʼ
	TQdpFtdcDateType	StartDelivDate;
	///󽻸
	TQdpFtdcDateType	EndDelivDate;
	///ƻ׼
	TQdpFtdcPriceType	BasisPrice;
	///ǰǷ
	TQdpFtdcBoolType	IsTrading;
	///Ʒ
	TQdpFtdcInstrumentIDType	UnderlyingInstrID;
	///Ʒ
	TQdpFtdcUnderlyingMultipleType	UnderlyingMultiple;
	///ֲ
	TQdpFtdcPositionTypeType	PositionType;
	///ִм
	TQdpFtdcPriceType	StrikePrice;
	///Ȩ
	TQdpFtdcOptionsTypeType	OptionsType;
	///Ʒ
	TQdpFtdcProductClassType	ProductClass;
	///ȨȨʽ
	TQdpFtdcOptionsModeType	OptionsMode;
};

///Լ״̬
struct CQdpFtdcInstrumentStatusField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ʒִ
	TQdpFtdcProductIDType	ProductID;
	///Ʒ
	TQdpFtdcProductNameType	ProductName;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Լ
	TQdpFtdcInstrumentNameType	InstrumentName;
	///
	TQdpFtdcYearType	DeliveryYear;
	///
	TQdpFtdcMonthType	DeliveryMonth;
	///޼۵µ
	TQdpFtdcVolumeType	MaxLimitOrderVolume;
	///޼۵Сµ
	TQdpFtdcVolumeType	MinLimitOrderVolume;
	///м۵µ
	TQdpFtdcVolumeType	MaxMarketOrderVolume;
	///м۵Сµ
	TQdpFtdcVolumeType	MinMarketOrderVolume;
	///
	TQdpFtdcVolumeMultipleType	VolumeMultiple;
	///۵λ
	TQdpFtdcPriceTickType	PriceTick;
	///
	TQdpFtdcCurrencyType	Currency;
	///ͷ޲
	TQdpFtdcVolumeType	LongPosLimit;
	///ͷ޲
	TQdpFtdcVolumeType	ShortPosLimit;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///Լ״̬
	TQdpFtdcInstrumentStatusType	InstrumentStatus;
	///
	TQdpFtdcDateType	CreateDate;
	///
	TQdpFtdcDateType	OpenDate;
	///
	TQdpFtdcDateType	ExpireDate;
	///ʼ
	TQdpFtdcDateType	StartDelivDate;
	///󽻸
	TQdpFtdcDateType	EndDelivDate;
	///ƻ׼
	TQdpFtdcPriceType	BasisPrice;
	///ǰǷ
	TQdpFtdcBoolType	IsTrading;
	///Ʒ
	TQdpFtdcInstrumentIDType	UnderlyingInstrID;
	///Ʒ
	TQdpFtdcUnderlyingMultipleType	UnderlyingMultiple;
	///ֲ
	TQdpFtdcPositionTypeType	PositionType;
	///ִм
	TQdpFtdcPriceType	StrikePrice;
	///Ȩ
	TQdpFtdcOptionsTypeType	OptionsType;
	///Ʒ
	TQdpFtdcProductClassType	ProductClass;
	///ȨȨʽ
	TQdpFtdcOptionsModeType	OptionsMode;
};

///Ͷʽѯ
struct CQdpFtdcQryInvestorAccountField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
};

///ͶʽӦ
struct CQdpFtdcRspInvestorAccountField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ʽʺ
	TQdpFtdcAccountIDType	AccountID;
	///ϴν׼
	TQdpFtdcMoneyType	PreBalance;
	///տʽ
	TQdpFtdcMoneyType	PreAvailable;
	///
	TQdpFtdcMoneyType	Deposit;
	///
	TQdpFtdcMoneyType	Withdraw;
	///ռñ֤
	TQdpFtdcMoneyType	Margin;
	///ȨȨ֧
	TQdpFtdcMoneyType	Premium;
	///
	TQdpFtdcMoneyType	Fee;
	///ı֤
	TQdpFtdcMoneyType	FrozenMargin;
	///Ȩ
	TQdpFtdcMoneyType	FrozenPremium;
	///
	TQdpFtdcMoneyType	FrozenFee;
	///ƽӯ
	TQdpFtdcMoneyType	CloseProfit;
	///ֲӯ
	TQdpFtdcMoneyType	PositionProfit;
	///ʽ
	TQdpFtdcMoneyType	Available;
	///׼
	TQdpFtdcMoneyType	Balance;
	///ͷռñ֤
	TQdpFtdcMoneyType	LongMargin;
	///ͷռñ֤
	TQdpFtdcMoneyType	ShortMargin;
	///ͷı֤
	TQdpFtdcMoneyType	LongFrozenMargin;
	///ͷı֤
	TQdpFtdcMoneyType	ShortFrozenMargin;
	///̬Ȩ
	TQdpFtdcMoneyType	DynamicRights;
	///ն
	TQdpFtdcMoneyType	Risk;
	///
	TQdpFtdcMoneyType	OtherFee;
	///Ѻ
	TQdpFtdcMoneyType	Mortgage;
	///
	TQdpFtdcCurrencyIDType	Currency;
};

///Ͷ߲ѯ
struct CQdpFtdcQryUserInvestorField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
};

///ͶӦ
struct CQdpFtdcRspUserInvestorField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
};

///ױѯ
struct CQdpFtdcQryTradingCodeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
};

///ױѯ
struct CQdpFtdcRspTradingCodeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ʽʺ
	TQdpFtdcAccountIDType	AccountID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ա
	TQdpFtdcParticipantIDType	ParticipantID;
	///ͻ
	TQdpFtdcClientIDType	ClientID;
	///ͻȨ
	TQdpFtdcTradingRightType	ClientRight;
	///ͻ
	TQdpFtdcClientTypeType	ClientType;
	///ͻֵ
	TQdpFtdcHedgeFlagType	ClientHedgeFlag;
	///ǷԾ
	TQdpFtdcIsActiveType	IsActive;
};

///ѯ
struct CQdpFtdcQryExchangeField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
};

///ѯӦ
struct CQdpFtdcRspExchangeField
{
	///
	TQdpFtdcTradingDayType	TradingDay;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcExchangeNameType	ExchangeName;
};

///Ͷֲֲ߳ѯ
struct CQdpFtdcQryInvestorPositionField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///Ͷֲֲ߳ѯӦ
struct CQdpFtdcRspInvestorPositionField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Ա
	TQdpFtdcParticipantIDType	ParticipantID;
	///ͻ
	TQdpFtdcClientIDType	ClientID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcDirectionType	Direction;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///ռñ֤
	TQdpFtdcMoneyType	UsedMargin;
	///ֲܳ
	TQdpFtdcVolumeType	Position;
	///ճֲֳɱ
	TQdpFtdcPriceType	PositionCost;
	///ֲ(ֵ)
	TQdpFtdcVolumeType	YdPosition;
	///ճֲֳɱ
	TQdpFtdcMoneyType	YdPositionCost;
	///ı֤
	TQdpFtdcMoneyType	FrozenMargin;
	///ֲֶ
	TQdpFtdcVolumeType	FrozenPosition;
	///ƽֲֶ
	TQdpFtdcVolumeType	FrozenClosing;
	///Ȩ
	TQdpFtdcMoneyType	FrozenPremium;
	///һʳɽ
	TQdpFtdcTradeIDType	LastTradeID;
	///һʱر
	TQdpFtdcOrderLocalIDType	LastOrderLocalID;
	///
	TQdpFtdcCurrencyIDType	Currency;
	///ֲӯ
	TQdpFtdcMoneyType	PositionProfit;
	///ֲ
	TQdpFtdcVolumeType	TodayPosition;
	///ƽֶ
	TQdpFtdcVolumeType	FrozenTodayClosing;
};

///ûѯ
struct CQdpFtdcQryUserField
{
	///û
	TQdpFtdcUserIDType	StartUserID;
	///û
	TQdpFtdcUserIDType	EndUserID;
};

///û
struct CQdpFtdcUserField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///û¼
	TQdpFtdcPasswordType	Password;
	///ǷԾ
	TQdpFtdcIsActiveType	IsActive;
	///û
	TQdpFtdcUserNameType	UserName;
	///û
	TQdpFtdcUserTypeType	UserType;
	///Ӫҵ
	TQdpFtdcDepartmentType	Department;
	///Ȩܼ
	TQdpFtdcGrantFuncSetType	GrantFuncSet;
	///ǷIPMAC
	TQdpFtdcBoolType	CheckIpMacAddr;
};

///Ͷʲѯ
struct CQdpFtdcQryInvestorFeeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
};

///Ͷ
struct CQdpFtdcInvestorFeeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///Ѱ
	TQdpFtdcRatioType	OpenFeeRate;
	///Ѱ
	TQdpFtdcRatioType	OpenFeeAmt;
	///ƽѰ
	TQdpFtdcRatioType	OffsetFeeRate;
	///ƽѰ
	TQdpFtdcRatioType	OffsetFeeAmt;
	///ƽѰ
	TQdpFtdcRatioType	OTFeeRate;
	///ƽѰ
	TQdpFtdcRatioType	OTFeeAmt;
};

///Ͷ֤߱ʲѯ
struct CQdpFtdcQryInvestorMarginField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
};

///Ͷ֤߱
struct CQdpFtdcInvestorMarginField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///ͷռñ֤𰴱
	TQdpFtdcRatioType	LongMarginRate;
	///ͷ֤
	TQdpFtdcRatioType	LongMarginAmt;
	///ͷռñ֤𰴱
	TQdpFtdcRatioType	ShortMarginRate;
	///ͷ֤
	TQdpFtdcRatioType	ShortMarginAmt;
};

///ʵʱѯ
struct CQdpFtdcQryMarketDataField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ʵʱѯӦ
struct CQdpFtdcMarketDataField
{
	///
	TQdpFtdcTradingDayType	TradingDay;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcPriceType	OpenPrice;
	///߼
	TQdpFtdcPriceType	HighestPrice;
	///ͼ
	TQdpFtdcPriceType	LowestPrice;
	///¼
	TQdpFtdcPriceType	LastPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///ɽ
	TQdpFtdcMoneyType	Turnover;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///ֲ
	TQdpFtdcVolumeType	OpenInterest;
	///
	TQdpFtdcPriceType	PreClosePrice;
	///ֲ
	TQdpFtdcVolumeType	PreOpenInterest;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///
	TQdpFtdcPriceType	SettlementPrice;
	///޸ĺ
	TQdpFtdcMillisecType	UpdateMillisec;
	///޸ʱ
	TQdpFtdcTimeType	UpdateTime;
};

///ѯӦ
struct CQdpFtdcRspMarketDataField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcTradingDayType	TradingDay;
	///
	TQdpFtdcSettlementGroupIDType	SettlementGroupID;
	///
	TQdpFtdcSettlementIDType	SettlementID;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///
	TQdpFtdcPriceType	PreClosePrice;
	///ֲ
	TQdpFtdcLargeVolumeType	PreOpenInterest;
	///ʵ
	TQdpFtdcRatioType	PreDelta;
	///
	TQdpFtdcPriceType	OpenPrice;
	///߼
	TQdpFtdcPriceType	HighestPrice;
	///ͼ
	TQdpFtdcPriceType	LowestPrice;
	///
	TQdpFtdcPriceType	ClosePrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///
	TQdpFtdcPriceType	SettlementPrice;
	///ʵ
	TQdpFtdcRatioType	CurrDelta;
	///¼
	TQdpFtdcPriceType	LastPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///ɽ
	TQdpFtdcMoneyType	Turnover;
	///ֲ
	TQdpFtdcLargeVolumeType	OpenInterest;
	///һ
	TQdpFtdcPriceType	BidPrice1;
	///һ
	TQdpFtdcVolumeType	BidVolume1;
	///һ
	TQdpFtdcPriceType	AskPrice1;
	///һ
	TQdpFtdcVolumeType	AskVolume1;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///޸ʱ
	TQdpFtdcTimeType	UpdateTime;
	///޸ĺ
	TQdpFtdcMillisecType	UpdateMillisec;
};

///ӷʲѯ
struct CQdpFtdcQrySGEDeferRateField
{
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ӷʲѯӦ
struct CQdpFtdcSGEDeferRateField
{
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcTradingDayType	TradeDate;
	///֧
	TQdpFtdcPayDirectionType	Direction;
	///ӷ
	TQdpFtdcRatioType	DeferRate;
};

///ּ۱ѯ
struct CQdpFtdcQryMBLMarketDataField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ʼԼ
	TQdpFtdcInstrumentIDType	InstIDStart;
	///Լ
	TQdpFtdcInstrumentIDType	InstIDEnd;
	///
	TQdpFtdcDirectionType	Direction;
};

///ּ۱ѯӦ
struct CQdpFtdcMBLMarketDataField
{
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcDirectionType	Direction;
	///۸
	TQdpFtdcPriceType	Price;
	///
	TQdpFtdcVolumeType	Volume;
	///޸ʱ
	TQdpFtdcTimeType	UpdateTime;
	///޸ĺ
	TQdpFtdcMillisecType	UpdateMillisec;
};

///ѯֲϸ
struct CQdpFtdcQryInvestorPositionDetailField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ȺԼ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ѯֲϸӦ
struct CQdpFtdcRspInvestorPositionDetailField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///
	TQdpFtdcDirectionType	Direction;
	///
	TQdpFtdcDateType	OpenDate;
	///ɽ
	TQdpFtdcTradeIDType	TradeID;
	///
	TQdpFtdcVolumeType	Volume;
	///ּ
	TQdpFtdcMoneyType	OpenPrice;
	///
	TQdpFtdcDateType	TradingDay;
	///
	TQdpFtdcTradeTypeType	TradeType;
	///ϺԼ
	TQdpFtdcInstrumentIDType	CombInstrumentID;
	///նƽӯ
	TQdpFtdcMoneyType	CloseProfitByDate;
	///ʶԳƽӯ
	TQdpFtdcMoneyType	CloseProfitByTrade;
	///նгֲӯ
	TQdpFtdcMoneyType	PositionProfitByDate;
	///ʶԳֲӯ
	TQdpFtdcMoneyType	PositionProfitByTrade;
	///Ͷ֤߱
	TQdpFtdcMoneyType	Margin;
	///֤
	TQdpFtdcMoneyType	ExchMargin;
	///֤
	TQdpFtdcMoneyType	MarginRateByMoney;
	///֤()
	TQdpFtdcMoneyType	MarginRateByVolume;
	///
	TQdpFtdcPriceType	LastSettlementPrice;
	///
	TQdpFtdcPriceType	SettlementPrice;
	///ƽ
	TQdpFtdcVolumeType	CloseVolume;
	///ƽֽ
	TQdpFtdcMoneyType	CloseAmount;
};

///ͶȨʲѯ
struct CQdpFtdcQryInvestorOptionFeeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ͶȨ
struct CQdpFtdcRspInvestorOptionFeeField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Ѱ
	TQdpFtdcRatioType	OpenFeeRate;
	///Ѱ
	TQdpFtdcRatioType	OpenFeeAmt;
	///ƽѰ
	TQdpFtdcRatioType	OffsetFeeRate;
	///ƽѰ
	TQdpFtdcRatioType	OffsetFeeAmt;
	///ƽѰ
	TQdpFtdcRatioType	OTFeeRate;
	///ƽѰ
	TQdpFtdcRatioType	OTFeeAmt;
	///ִѰ
	TQdpFtdcRatioType	StrikeFeeRate;
	///ִѰ
	TQdpFtdcRatioType	StrikeFeeAmt;
};

///QDPǰͨϢ
struct CQdpFtdcFrontInfoField
{
	///APIǰñ
	TQdpFtdcBranchIDType	BranchID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ϯλ
	TQdpFtdcSeatIDType	SeatID;
	///ӵַ
	TQdpFtdcFrontAddrType	FrontAddr;
};

///ѯQDPǰͨϢ
struct CQdpFtdcQryFrontInfoField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
};

///Ͷֲ߳޶ѯ
struct CQdpFtdcQryInvestorPositionLimitField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///Ͷֲ߳޶
struct CQdpFtdcRspInvestorPositionLimitField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ͷֲ޶
	TQdpFtdcVolumeType	LongPosiLimit;
	///ͷֲ޶
	TQdpFtdcVolumeType	ShortPosiLimit;
	///Ʒֶͷֲ
	TQdpFtdcVolumeType	LongPosition;
	///Ʒֶͷֲ
	TQdpFtdcVolumeType	LongFrozen;
	///Ʒֿͷֲ
	TQdpFtdcVolumeType	ShortPosition;
	///Ʒֿͷֲ
	TQdpFtdcVolumeType	ShortFrozen;
};

///׻ʲѯ
struct CQdpFtdcQryExchangeRateField
{
	///
	TQdpFtdcCurrencyIDType	InstCurrency;
	///
	TQdpFtdcCurrencyIDType	AccCurrency;
};

///׻֪ͨ
struct CQdpFtdcRspExchangeRateField
{
	///
	TQdpFtdcCurrencyIDType	InstCurrency;
	///
	TQdpFtdcCurrencyIDType	AccCurrency;
	///
	TQdpFtdcRatioType	ExchangeRate;
};

///ѯ¼
struct CQdpFtdcInputForQuoteField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///ûر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///ûԶ
	TQdpFtdcCustomType	UserCustom;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ر
	TQdpFtdcOrderLocalIDType	OrderLocalID;
};

///¼
struct CQdpFtdcInputQuoteField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///ûر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///ûԶ
	TQdpFtdcCustomType	UserCustom;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ϵͳ
	TQdpFtdcOrderSysIDType	OrderSysID;
	///Ӧ۱
	TQdpFtdcOrderSysIDType	ForQuoteSysID;
	///۸
	TQdpFtdcPriceType	AskPrice;
	///
	TQdpFtdcVolumeType	AskVolume;
	///ƽ־
	TQdpFtdcOffsetFlagType	AskOffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	AskHedgeFlag;
	///۸
	TQdpFtdcPriceType	BidPrice;
	///
	TQdpFtdcVolumeType	BidVolume;
	///ƽ־
	TQdpFtdcOffsetFlagType	BidOffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	BidHedgeFlag;
	///ҵԪ
	TQdpFtdcBusinessUnitType	BusinessUnit;
	///Ӫҵ
	TQdpFtdcBranchIDType	BranchID;
	///򷽱ر
	TQdpFtdcUserOrderLocalIDType	BidOrderRef;
	///ر
	TQdpFtdcUserOrderLocalIDType	AskOrderRef;
};

///ѯ֪ͨ
struct CQdpFtdcForQuoteRspField
{
	///
	TQdpFtdcDateType	TradingDay;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ѯ۱
	TQdpFtdcOrderSysIDType	OrderSysID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ʱ
	TQdpFtdcTimeType	InsertTime;
};

///֪ͨ
struct CQdpFtdcQuoteField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///ûر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///ûԶ
	TQdpFtdcCustomType	UserCustom;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ϵͳ
	TQdpFtdcOrderSysIDType	OrderSysID;
	///Ӧ۱
	TQdpFtdcOrderSysIDType	ForQuoteSysID;
	///۸
	TQdpFtdcPriceType	AskPrice;
	///
	TQdpFtdcVolumeType	AskVolume;
	///ƽ־
	TQdpFtdcOffsetFlagType	AskOffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	AskHedgeFlag;
	///۸
	TQdpFtdcPriceType	BidPrice;
	///
	TQdpFtdcVolumeType	BidVolume;
	///ƽ־
	TQdpFtdcOffsetFlagType	BidOffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	BidHedgeFlag;
	///ҵԪ
	TQdpFtdcBusinessUnitType	BusinessUnit;
	///Ӫҵ
	TQdpFtdcBranchIDType	BranchID;
	///򷽱ر
	TQdpFtdcUserOrderLocalIDType	BidOrderRef;
	///ر
	TQdpFtdcUserOrderLocalIDType	AskOrderRef;
	///
	TQdpFtdcTradingDayType	TradingDay;
	///Ա
	TQdpFtdcParticipantIDType	ParticipantID;
	///ͻ
	TQdpFtdcClientIDType	ClientID;
	///µϯλ
	TQdpFtdcSeatIDType	SeatID;
	///ʱ
	TQdpFtdcTimeType	InsertTime;
	///ر
	TQdpFtdcOrderLocalIDType	OrderLocalID;
	///Դ
	TQdpFtdcOrderSourceType	OrderSource;
	///״̬
	TQdpFtdcOrderStatusType	OrderStatus;
	///ʱ
	TQdpFtdcTimeType	CancelTime;
	///û
	TQdpFtdcUserIDType	CancelUserID;
	///ɽ
	TQdpFtdcVolumeType	VolumeTraded;
	///ʣ
	TQdpFtdcVolumeType	VolumeRemain;
	///ǰñ
	TQdpFtdcFrontIDType	FrontID;
	///Ự
	TQdpFtdcSessionIDType	SessionID;
	///
	TQdpFtdcMoneyType	FrozenFee;
	///ı֤
	TQdpFtdcMoneyType	FrozenMargin;
	///ȨȨ֧
	TQdpFtdcMoneyType	FrozenPremium;
	///ʽʺ
	TQdpFtdcAccountIDType	AccountID;
	///µû
	TQdpFtdcUserIDType	OrderUserID;
	///
	TQdpFtdcTradeTypeType	TradeType;
	///־
	TQdpFtdcDealFlagType	DealFlag;
	///ѳɽӶ
	TQdpFtdcMoneyType	TradeCommision;
	///ɽ
	TQdpFtdcMoneyType	TradeAmnt;
	///
	TQdpFtdcVolumeType	CancleVolume;
	///
	TQdpFtdcRequestIDType	RequestID;
	///ͨӦAPIID
	TQdpFtdcNumberType	APIID;
	///µIPַ
	TQdpFtdcIPAddressType	IPAddress;
	///µMACַ
	TQdpFtdcMacAddressType	MacAddress;
	///ϵͳ
	TQdpFtdcOrderSysIDType	BidOrderSysID;
	///ϵͳ
	TQdpFtdcOrderSysIDType	AskOrderSysID;
};

///۲
struct CQdpFtdcQuoteActionField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcOrderSysIDType	OrderSysID;
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///γıر
	TQdpFtdcUserOrderLocalIDType	UserOrderActionLocalID;
	///ıر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///־
	TQdpFtdcActionFlagType	ActionFlag;
	///۸
	TQdpFtdcPriceType	LimitPrice;
	///仯
	TQdpFtdcVolumeType	VolumeChange;
	///¼
	TQdpFtdcSequenceNoType	RecNum;
	///ǰñ
	TQdpFtdcFrontIDType	FrontID;
	///Ự
	TQdpFtdcSessionIDType	SessionID;
};

///ѯ۲ѯ
struct CQdpFtdcQryForQuoteField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
};

///ѯ۲ѯӦ
struct CQdpFtdcForQuoteField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///ûر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///ûԶ
	TQdpFtdcCustomType	UserCustom;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ر
	TQdpFtdcOrderLocalIDType	OrderLocalID;
	///ѯ״̬
	TQdpFtdcForQuoteStatusTypeType	ForQuoteStatus;
	///
	TQdpFtdcDateType	TradingDay;
	///ʱ
	TQdpFtdcTimeType	InsertTime;
};

///۲ѯ
struct CQdpFtdcQryQuoteField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ϵͳ
	TQdpFtdcOrderSysIDType	OrderSysID;
};

///ɽ
struct CQdpFtdcTradeField
{
	///
	TQdpFtdcTradingDayType	TradingDay;
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Ա
	TQdpFtdcParticipantIDType	ParticipantID;
	///µϯλ
	TQdpFtdcSeatIDType	SeatID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ͻ
	TQdpFtdcClientIDType	ClientID;
	///û
	TQdpFtdcUserIDType	UserID;
	///ɽ
	TQdpFtdcTradeIDType	TradeID;
	///
	TQdpFtdcOrderSysIDType	OrderSysID;
	///ر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///
	TQdpFtdcDirectionType	Direction;
	///ƽ־
	TQdpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///ɽ۸
	TQdpFtdcPriceType	TradePrice;
	///ɽ
	TQdpFtdcVolumeType	TradeVolume;
	///ɽʱ
	TQdpFtdcTimeType	TradeTime;
	///Ա
	TQdpFtdcParticipantIDType	ClearingPartID;
	///ɽ
	TQdpFtdcMoneyType	TradeAmnt;
	///¼
	TQdpFtdcSequenceNoType	RecNum;
	///
	TQdpFtdcTradeTypeType	TradeType;
};

///
struct CQdpFtdcOrderField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ϵͳ
	TQdpFtdcOrderSysIDType	OrderSysID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///ûر
	TQdpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///۸
	TQdpFtdcOrderPriceTypeType	OrderPriceType;
	///
	TQdpFtdcDirectionType	Direction;
	///ƽ־
	TQdpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TQdpFtdcHedgeFlagType	HedgeFlag;
	///۸
	TQdpFtdcPriceType	LimitPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///Ч
	TQdpFtdcTimeConditionType	TimeCondition;
	///GTD
	TQdpFtdcDateType	GTDDate;
	///ɽ
	TQdpFtdcVolumeConditionType	VolumeCondition;
	///Сɽ
	TQdpFtdcVolumeType	MinVolume;
	///ֹ
	TQdpFtdcPriceType	StopPrice;
	///ǿƽԭ
	TQdpFtdcForceCloseReasonType	ForceCloseReason;
	///Զ־
	TQdpFtdcBoolType	IsAutoSuspend;
	///ҵԪ
	TQdpFtdcBusinessUnitType	BusinessUnit;
	///ûԶ
	TQdpFtdcCustomType	UserCustom;
	///Ӫҵ
	TQdpFtdcBranchIDType	BranchID;
	///¼
	TQdpFtdcSequenceNoType	RecNum;
	///ҵ
	TQdpFtdcBusinessTypeType	BusinessType;
	///
	TQdpFtdcTradingDayType	TradingDay;
	///Ա
	TQdpFtdcParticipantIDType	ParticipantID;
	///ͻ
	TQdpFtdcClientIDType	ClientID;
	///µϯλ
	TQdpFtdcSeatIDType	SeatID;
	///ʱ
	TQdpFtdcTimeType	InsertTime;
	///ر
	TQdpFtdcOrderLocalIDType	OrderLocalID;
	///Դ
	TQdpFtdcOrderSourceType	OrderSource;
	///״̬
	TQdpFtdcOrderStatusType	OrderStatus;
	///ʱ
	TQdpFtdcTimeType	CancelTime;
	///û
	TQdpFtdcUserIDType	CancelUserID;
	///ɽ
	TQdpFtdcVolumeType	VolumeTraded;
	///ʣ
	TQdpFtdcVolumeType	VolumeRemain;
	///ǰñ
	TQdpFtdcFrontIDType	FrontID;
	///Ự
	TQdpFtdcSessionIDType	SessionID;
};

///
struct CQdpFtdcFlowMessageCancelField
{
	///ϵк
	TQdpFtdcSequenceSeriesType	SequenceSeries;
	///
	TQdpFtdcDateType	TradingDay;
	///Ĵ
	TQdpFtdcDataCenterIDType	DataCenterID;
	///ʼк
	TQdpFtdcSequenceNoType	StartSequenceNo;
	///˽к
	TQdpFtdcSequenceNoType	EndSequenceNo;
};

///Ϣַ
struct CQdpFtdcDisseminationField
{
	///ϵк
	TQdpFtdcSequenceSeriesType	SequenceSeries;
	///к
	TQdpFtdcSequenceNoType	SequenceNo;
};

///
struct CQdpFtdcInvestorAccountDepositResField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///ʽʺ
	TQdpFtdcAccountIDType	AccountID;
	///ʽˮ
	TQdpFtdcAccountSeqNoType	AccountSeqNo;
	///ʽˮ
	TQdpFtdcAccountSeqNoType	AccountInsideSeqNo;
	///
	TQdpFtdcMoneyType	Amount;
	///
	TQdpFtdcAccountDirectionType	AmountDirection;
	///ʽ
	TQdpFtdcMoneyType	Available;
	///׼
	TQdpFtdcMoneyType	Balance;
	///û
	TQdpFtdcUserIDType	UserID;
};

///QDPϢ֪ͨ
struct CQdpFtdcMessageNotifyInfoField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///޸û
	TQdpFtdcUserIDType	UserID;
	///Ͷ߱
	TQdpFtdcInvestorIDType	InvestorID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///ۼӴ
	TQdpFtdcTotalNumsType	Nums;
	///ҵ
	TQdpFtdcBusinessTypeType	BusinessType;
	///Ϣ
	TQdpFtdcErrorMsgType	WarnMsg;
};

///
struct CQdpFtdcMarketDataBaseField
{
	///
	TQdpFtdcTradingDayType	TradingDay;
	///
	TQdpFtdcSettlementGroupIDType	SettlementGroupID;
	///
	TQdpFtdcSettlementIDType	SettlementID;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///
	TQdpFtdcPriceType	PreClosePrice;
	///ֲ
	TQdpFtdcLargeVolumeType	PreOpenInterest;
	///ʵ
	TQdpFtdcRatioType	PreDelta;
};

///龲̬
struct CQdpFtdcMarketDataStaticField
{
	///
	TQdpFtdcPriceType	OpenPrice;
	///߼
	TQdpFtdcPriceType	HighestPrice;
	///ͼ
	TQdpFtdcPriceType	LowestPrice;
	///
	TQdpFtdcPriceType	ClosePrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///
	TQdpFtdcPriceType	SettlementPrice;
	///ʵ
	TQdpFtdcRatioType	CurrDelta;
};

///³ɽ
struct CQdpFtdcMarketDataLastMatchField
{
	///¼
	TQdpFtdcPriceType	LastPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///ɽ
	TQdpFtdcMoneyType	Turnover;
	///ֲ
	TQdpFtdcLargeVolumeType	OpenInterest;
};

///ż
struct CQdpFtdcMarketDataBestPriceField
{
	///һ
	TQdpFtdcPriceType	BidPrice1;
	///һ
	TQdpFtdcVolumeType	BidVolume1;
	///һ
	TQdpFtdcPriceType	AskPrice1;
	///һ
	TQdpFtdcVolumeType	AskVolume1;
};

///
struct CQdpFtdcMarketDataBid23Field
{
	///۶
	TQdpFtdcPriceType	BidPrice2;
	///
	TQdpFtdcVolumeType	BidVolume2;
	///
	TQdpFtdcPriceType	BidPrice3;
	///
	TQdpFtdcVolumeType	BidVolume3;
};

///
struct CQdpFtdcMarketDataAsk23Field
{
	///۶
	TQdpFtdcPriceType	AskPrice2;
	///
	TQdpFtdcVolumeType	AskVolume2;
	///
	TQdpFtdcPriceType	AskPrice3;
	///
	TQdpFtdcVolumeType	AskVolume3;
};

///ġ
struct CQdpFtdcMarketDataBid45Field
{
	///
	TQdpFtdcPriceType	BidPrice4;
	///
	TQdpFtdcVolumeType	BidVolume4;
	///
	TQdpFtdcPriceType	BidPrice5;
	///
	TQdpFtdcVolumeType	BidVolume5;
};

///ġ
struct CQdpFtdcMarketDataAsk45Field
{
	///
	TQdpFtdcPriceType	AskPrice4;
	///
	TQdpFtdcVolumeType	AskVolume4;
	///
	TQdpFtdcPriceType	AskPrice5;
	///
	TQdpFtdcVolumeType	AskVolume5;
};

///ʱ
struct CQdpFtdcMarketDataUpdateTimeField
{
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///޸ʱ
	TQdpFtdcTimeType	UpdateTime;
	///޸ĺ
	TQdpFtdcMillisecType	UpdateMillisec;
};

///
struct CQdpFtdcDepthMarketDataField
{
	///
	TQdpFtdcTradingDayType	TradingDay;
	///
	TQdpFtdcSettlementGroupIDType	SettlementGroupID;
	///
	TQdpFtdcSettlementIDType	SettlementID;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///
	TQdpFtdcPriceType	PreClosePrice;
	///ֲ
	TQdpFtdcLargeVolumeType	PreOpenInterest;
	///ʵ
	TQdpFtdcRatioType	PreDelta;
	///
	TQdpFtdcPriceType	OpenPrice;
	///߼
	TQdpFtdcPriceType	HighestPrice;
	///ͼ
	TQdpFtdcPriceType	LowestPrice;
	///
	TQdpFtdcPriceType	ClosePrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///
	TQdpFtdcPriceType	SettlementPrice;
	///ʵ
	TQdpFtdcRatioType	CurrDelta;
	///¼
	TQdpFtdcPriceType	LastPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///ɽ
	TQdpFtdcMoneyType	Turnover;
	///ֲ
	TQdpFtdcLargeVolumeType	OpenInterest;
	///һ
	TQdpFtdcPriceType	BidPrice1;
	///һ
	TQdpFtdcVolumeType	BidVolume1;
	///һ
	TQdpFtdcPriceType	AskPrice1;
	///һ
	TQdpFtdcVolumeType	AskVolume1;
	///۶
	TQdpFtdcPriceType	BidPrice2;
	///
	TQdpFtdcVolumeType	BidVolume2;
	///
	TQdpFtdcPriceType	BidPrice3;
	///
	TQdpFtdcVolumeType	BidVolume3;
	///۶
	TQdpFtdcPriceType	AskPrice2;
	///
	TQdpFtdcVolumeType	AskVolume2;
	///
	TQdpFtdcPriceType	AskPrice3;
	///
	TQdpFtdcVolumeType	AskVolume3;
	///
	TQdpFtdcPriceType	BidPrice4;
	///
	TQdpFtdcVolumeType	BidVolume4;
	///
	TQdpFtdcPriceType	BidPrice5;
	///
	TQdpFtdcVolumeType	BidVolume5;
	///
	TQdpFtdcPriceType	AskPrice4;
	///
	TQdpFtdcVolumeType	AskVolume4;
	///
	TQdpFtdcPriceType	AskPrice5;
	///
	TQdpFtdcVolumeType	AskVolume5;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///޸ʱ
	TQdpFtdcTimeType	UpdateTime;
	///޸ĺ
	TQdpFtdcMillisecType	UpdateMillisec;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcPriceType	AskPrice6;
	///
	TQdpFtdcVolumeType	AskVolume6;
	///
	TQdpFtdcPriceType	AskPrice7;
	///
	TQdpFtdcVolumeType	AskVolume7;
	///۰
	TQdpFtdcPriceType	AskPrice8;
	///
	TQdpFtdcVolumeType	AskVolume8;
	///۾
	TQdpFtdcPriceType	AskPrice9;
	///
	TQdpFtdcVolumeType	AskVolume9;
	///
	TQdpFtdcPriceType	BidPrice6;
	///
	TQdpFtdcVolumeType	BidVolume6;
	///
	TQdpFtdcPriceType	BidPrice7;
	///
	TQdpFtdcVolumeType	BidVolume7;
	///۰
	TQdpFtdcPriceType	BidPrice8;
	///
	TQdpFtdcVolumeType	BidVolume8;
	///۾
	TQdpFtdcPriceType	BidPrice9;
	///
	TQdpFtdcVolumeType	BidVolume9;
	///ʮ
	TQdpFtdcPriceType	AskPrice10;
	///ʮ
	TQdpFtdcVolumeType	AskVolume10;
	///ʮ
	TQdpFtdcPriceType	BidPrice10;
	///ʮ
	TQdpFtdcVolumeType	BidVolume10;
};

///ĺԼϢ
struct CQdpFtdcSpecificInstrumentField
{
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
};

///ڴѯ
struct CQdpFtdcShmDepthMarketDataField
{
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///IPַ
	TQdpFtdcIPAddressType	IPAddress;
	///ĺ
	TQdpFtdcTopicIDType	TopicID;
};

///
struct CQdpFtdcMarketDataExchangeIDField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
};

///TOPICѯ
struct CQdpFtdcTopicSearchField
{
	///ĺ
	TQdpFtdcTopicIDType	TopicID;
};

///Լ״̬
struct CQdpFtdcQmdInstrumentStateField
{
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///Լ״̬
	TQdpFtdcInstrumentStatusType	InstrumentStatus;
};

///
struct CQdpFtdcMarketDataAsk67Field
{
	///
	TQdpFtdcPriceType	AskPrice6;
	///
	TQdpFtdcVolumeType	AskVolume6;
	///
	TQdpFtdcPriceType	AskPrice7;
	///
	TQdpFtdcVolumeType	AskVolume7;
};

///˾
struct CQdpFtdcMarketDataAsk89Field
{
	///۰
	TQdpFtdcPriceType	AskPrice8;
	///
	TQdpFtdcVolumeType	AskVolume8;
	///۾
	TQdpFtdcPriceType	AskPrice9;
	///
	TQdpFtdcVolumeType	AskVolume9;
};

///
struct CQdpFtdcMarketDataBid67Field
{
	///
	TQdpFtdcPriceType	BidPrice6;
	///
	TQdpFtdcVolumeType	BidVolume6;
	///
	TQdpFtdcPriceType	BidPrice7;
	///
	TQdpFtdcVolumeType	BidVolume7;
};

///˾
struct CQdpFtdcMarketDataBid89Field
{
	///۰
	TQdpFtdcPriceType	BidPrice8;
	///
	TQdpFtdcVolumeType	BidVolume8;
	///۾
	TQdpFtdcPriceType	BidPrice9;
	///
	TQdpFtdcVolumeType	BidVolume9;
};

///ʮ
struct CQdpFtdcMarketDataAskBid10Field
{
	///ʮ
	TQdpFtdcPriceType	AskPrice10;
	///ʮ
	TQdpFtdcVolumeType	AskVolume10;
	///ʮ
	TQdpFtdcPriceType	BidPrice10;
	///ʮ
	TQdpFtdcVolumeType	BidVolume10;
};

///ûɼϢ
struct CQdpFtdcUserSystemInfoField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///Ϣ
	TQdpFtdcSystemInfoLenType	ClientSystemInfoLen;
	///Ϣ
	TQdpFtdcClientSystemInfoType	ClientSystemInfo;
	///ͻip
	TQdpFtdcIPAddressType	ClientPublicIP;
	///ͻ˿
	TQdpFtdcIPPortType	ClientIPPort;
	///¼ʱ
	TQdpFtdcFullLoginTimeType	ClientLoginTime;
	///ͻ֤appid
	TQdpFtdcAppIDType	ClientAppID;
};

///֤ϵͳϢ
struct CQdpFtdcAuthenticateField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///汾Ϣ
	TQdpFtdcProductInfoType	UserProductInfo;
	///ͻ֤appid
	TQdpFtdcAppIDType	AppID;
	///֤id
	TQdpFtdcPasswordType	AuthCode;
};

///֤ϵͳϢ
struct CQdpFtdcRtnAuthenticateField
{
	///͹˾
	TQdpFtdcBrokerIDType	BrokerID;
	///û
	TQdpFtdcUserIDType	UserID;
	///汾Ϣ
	TQdpFtdcProductInfoType	UserProductInfo;
	///ͻ֤appid
	TQdpFtdcAppIDType	AppID;
	///Socket
	TQdpFtdcNumberType	SockID;
	///ͻ
	TQdpFtdcAppTypeType	AppType;
};

///֤Կ
struct CQdpFtdcRSAPubKeyField
{
	///֤Կ
	TQdpFtdcSecKeyInfoType	SecKeyInfo;
};

///Full Market Data
struct CQdpFtdcClientDepthMarketDataField
{
	///Client ID
	TQdpFtdcClientIDType	ClientID;
	///
	TQdpFtdcExchangeIDType	ExchangeID;
	///
	TQdpFtdcTradingDayType	TradingDay;
	///
	TQdpFtdcSettlementGroupIDType	SettlementGroupID;
	///
	TQdpFtdcSettlementIDType	SettlementID;
	///
	TQdpFtdcPriceType	PreSettlementPrice;
	///
	TQdpFtdcPriceType	PreClosePrice;
	///ֲ
	TQdpFtdcLargeVolumeType	PreOpenInterest;
	///ʵ
	TQdpFtdcRatioType	PreDelta;
	///
	TQdpFtdcPriceType	OpenPrice;
	///߼
	TQdpFtdcPriceType	HighestPrice;
	///ͼ
	TQdpFtdcPriceType	LowestPrice;
	///
	TQdpFtdcPriceType	ClosePrice;
	///ͣ
	TQdpFtdcPriceType	UpperLimitPrice;
	///ͣ
	TQdpFtdcPriceType	LowerLimitPrice;
	///
	TQdpFtdcPriceType	SettlementPrice;
	///ʵ
	TQdpFtdcRatioType	CurrDelta;
	///¼
	TQdpFtdcPriceType	LastPrice;
	///
	TQdpFtdcVolumeType	Volume;
	///ɽ
	TQdpFtdcMoneyType	Turnover;
	///ֲ
	TQdpFtdcLargeVolumeType	OpenInterest;
	///һ
	TQdpFtdcPriceType	BidPrice1;
	///һ
	TQdpFtdcVolumeType	BidVolume1;
	///һ
	TQdpFtdcPriceType	AskPrice1;
	///һ
	TQdpFtdcVolumeType	AskVolume1;
	///Լ
	TQdpFtdcInstrumentIDType	InstrumentID;
	///޸ʱ
	TQdpFtdcTimeType	UpdateTime;
	///޸ĺ
	TQdpFtdcMillisecType	UpdateMillisec;
};

///ˮ״̬
struct CQdpFtdcFlowStatusField
{
	///ϵк
	TQdpFtdcSequenceSeriesType	SequenceSeries;
	///Ƿ
	TQdpFtdcBoolType	bReady;
};



#endif
